IRPCVaultsAdmin.UpgradeVault
Administration API / specialized admin session idempotent
Upgrades an old document vault to the current version.
| Service | Vault management MFiles.IRPCVaultsAdmin |
|---|---|
| gRPC method | /MFiles.IRPCVaultsAdmin/UpgradeVault |
| HTTP (mf-http-grpc) | POST /grpc/v1/upgrade-vault |
| Request | UpgradeVaultRequest |
| Response | UpgradeVaultResponse |
| Book and level | Administration API, specialized |
| Kind | admin |
| Session | Required: the session ID from LogIn in the mfiles-session-id-bin metadata. |
| Idempotent | yes |
| Returns metadata structure version | no |
| Streaming | none (unary) |
Remarks
- Requires the system administrator server role (server right
manage_vaults). - Runs in the call and returns when the upgrade is done.
upgradedis false if the vault already had the current version.
Request: UpgradeVaultRequest
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
vault | string | The GUID of the vault to upgrade. |
Response: UpgradeVaultResponse
Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.
| Field | Type | Description |
|---|---|---|
upgraded | bool | If true, the vault was upgraded. If false, the vault was already of the latest version. |